from flask import Flask, request

app = Flask(__name__)

@app.route('/headers')
def show_headers():
    # Get headers from request object
    headers = dict(request.headers)

    # Convert the headers dictionary into a string with key-value pairs separated by commas
    headers_str = '\n'.join(f'{key}: {value}' for key, value in headers.items())

    return f'Headers:\n{headers_str}'

if __name__ == '__main__':
    app.run(debug=True)
